Page MenuHome

Blender crashes on Viewport Shading with Intel(R) HD Graphics 4600 Intel 4.3.0
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: Intel(R) HD Graphics 4600 Intel 4.3.0 - Build 10.18.14.5057

Blender Version
Broken: version: 2.80 (sub 74), branch: master, commit date: 2019-07-18 14:52, hash: rB38d4483c6a51
Worked: (optional)

Short description of error
[Please fill out a short description of the error here]

Exact steps for others to reproduce the error
For this graphic card, loading the default blend and clicking on"Viewport Shading" causes a crash every time. I updated the graphics card, which made things marginally better, but this still crashes every time on viewport shading, no longer on other modes like materials.

Details

Type
Bug

Event Timeline

I'll just throw in that if you were able to upgrade to Windows 10 that would give you access to much newer Intel video drivers that would likely resolve the issue.

One thing you might try would be to install the 5067 driver version from https://downloadcenter.intel.com/download/28798/Intel-Graphics-Driver-for-Windows-7-8-1-15-36-?product=80939 which should be functionally the same as your 5057 version, however a recent Blender commit added a list of specific intel driver versions that will trigger a workaround for similar problems and that list of versions includes the 5067 version but does not include your 5057 version, so upgrading to 5067 ought to trigger that workaround and might affect your issue.

And if that works we probably need to add Build 10.18.14.5057 to the workaround list. Does that seem reasonable @Brecht Van Lommel (brecht)? (P.S. according to the drier download notes, both of those driver versions contain only security fixes and should thus probably have identical functionality so if one is on the workaround list the other probably should be too)

Sebastian Parborg (zeddb) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Aug 1 2019, 3:35 PM

See if the workaround Zoot posted works for you and get back to us.

Brecht Van Lommel (brecht) closed this task as Resolved.Aug 2 2019, 1:54 PM
Brecht Van Lommel (brecht) claimed this task.

After rBaa0322524ea6: GPU: more complete coverage of drivers for Intel shader compilation workaround we should now detect this card and work around the crash. Still upgrading drivers is recommended.